:    <SET386> - SETUP COURSES FOR USE WITH LINKS386

ECHO OFF
CLS

IF EXIST %1CHK GOTO ALRIGHT
ECHO.
ECHO Must have DISK 1 in drive and specify drive letter...
ECHO		      For example:  SET386 B:
ECHO.
GOTO DONE
:ALRIGHT

ECHO --------------------------
ECHO Copying TROON NORTH files
ECHO --------------------------
ECHO.
ECHO.
ECHO Creating temporary file #1
COPY %1TROON3
ECHO.
:RETRY
ECHO Please insert DISK #2.
ECHO.
PAUSE
IF NOT EXIST %1TROON2 GOTO RETRY
ECHO Creating temporary file #2
COPY %1TROON2
ECHO.
ECHO.
:RETRY2
ECHO Please insert DISK #3.
ECHO.
PAUSE
IF NOT EXIST %1TROON1 GOTO RETRY2
ECHO Creating temporary file #3
COPY %1TROON1 /B + TROON2 /B + TROON3 /B TROON_NO.CRS
ECHO.
DEL TROON2
DEL TROON3
ECHO.
ECHO -----------------------------------------
ECHO Creating SUPER VGA course... TROON_NO.CRH
ECHO -----------------------------------------
ECHO.
CONVERT TROON_NO.CRS
ECHO.
ECHO --------------------------
ECHO Deleting temporary files
ECHO --------------------------
DEL TROON_NO.CRS

ECHO.
ECHO  INSTALLATION COMPLETE
ECHO.

:DONE
ECHO ON
